Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Class ResolveInfo

    java.lang.Object
      org.openxri.resolve.ResolveInfo

    public class ResolveInfo

extends java.lang.Object

Holds information for a XRI resolve request.

Author:
  =chetan

Constructor Summary
`ResolveInfo(java.lang.String sXRI)` Constructor - initializes as unresolved.

Method Summary
`void` | `addChain(ResolveChain oChain)` Add the ResolveChain to the ResolvedInfo
`java.util.Iterator` | `getChainIterator()` Get the number of chains during resolution
`XRD` | `getFinalXRIDescriptor()` Get the last descriptor encountered during resolve.
`ResolveChain` | `getFirstChain()` Get the first chain that was being resolved
`ResolveChain` | `getLastChain()` Get the last chain that was being resolved
`int` | `getNumChains()` Get the number of chains during resolution
`java.lang.String` | `getUnresolved()` Get the unresolved portion.
`java.lang.String` | `getXRI()` Get the XRI attempted to be resolved
`boolean` | `resolvedAll()` Was the XRI resolved to its completion?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveInfo

    public ResolveInfo(java.lang.String sXRI)

  Constructor - initializes as unresolved.

Method Detail

### getXRI

    public java.lang.String getXRI()

  Get the XRI attempted to be resolved

### resolvedAll

    public boolean resolvedAll()

  Was the XRI resolved to its completion?

### addChain

    public void addChain(ResolveChain oChain)

  Add the ResolveChain to the ResolvedInfo

### getFinalXRIDescriptor

    public XRD getFinalXRIDescriptor()

  Get the last descriptor encountered during resolve. For a complete resolve, that is when resolvedAll() is true, the final descriptor belongs to the complete XRI. For an incomplete resolve, this descriptor, if non-null, gives the descriptor that was queried last for a resolve getUnresolved() gives the remaining part of XRI that is still left to be resolved.

### getUnresolved

    public java.lang.String getUnresolved()

  Get the unresolved portion. This portion does not start with "xri". Example: Could be ".yahoo.john" for "xri:@email.com.yahoo.john". Null is returned for complete resolutions.

### getFirstChain

    public ResolveChain getFirstChain()

  Get the first chain that was being resolved

### getLastChain

    public ResolveChain getLastChain()

  Get the last chain that was being resolved

### getNumChains

    public int getNumChains()

  Get the number of chains during resolution

### getChainIterator

    public java.util.Iterator getChainIterator()

  Get the number of chains during resolution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.